Subject: postgres crashes.

From: [email-masked] (Mahlon Stacy 4-4558)
Date: Thu, 10 Sep 92 14:52:51 -0700

I am trying to work with a database of about 38,000 records, using 
string functions which I have written. When executing the following
retrieve:

retrieve into precinct unique (UDF.precname) \g

where UDF is the large database, I get the following:

Query sent to backend is "retrieve into precinct unique (UDF.precname) "
Error: Unexpected identifier in process_portal: 

This occurs after about 2 minutes.

Here's a stack trace of the core dump from postgres:

malloc() at 0xa8968
AllocSetAlloc() at 0x7de80
PortalHeapMemoryAlloc() at 0x7f3b0
MemoryContextAlloc() at 0x7e280
palloc() at 0x7e87c
etext() at 0x14d1a0
tuplecmp() at 0x7c01c
linsert() at 0x7bcd8
puttuple() at 0x7be20
createrun() at 0x7c600
initialrun() at 0x7c2a4
psort() at 0x7c0d8
ExecSort() at 0x25610
ExecProcNode() at 0x1cb6c
ExecUnique() at 0x25960
ExecProcNode() at 0x1cb7c
ExecutePlan() at 0x1c21c
ExecMain() at 0x1bdfc
ProcessQueryDesc() at 0x78400
ProcessQuery() at 0x78464
pg_eval_dest() at 0x767c8
pg_eval() at 0x76490
PostgresMain() at 0x77b6c
main() at 0x3b9bc

Does this indicate I'm running out of shared or other memory? The machine
I'm working on has 64 meg. The data/base/UDF file is about 11 meg.

How can I perform such queries on data this size?

	-Mahlon
-------------------------------------------------------------
Mahlon Stacy                   Internet:   [email-masked]
Mayo Foundation                Amateur:    KF0AW
Rochester, MN 55905            Medical Science Bldg 1-29
(507) 284-4558                 FAX (507) 284-1428
-------------------------------------------------------------